# EasyFlaskRecaptcha
EasyFlaskRecaptcha is a python Module which makes Google Recaptcha Integration in flask application easy

## Installation

```
pip install EasyFlaskRecaptcha
```

### Implementation
```
from flask import Flask
from EasyFlaskRecaptcha import ReCaptcha

app = Flask(__name__)
recaptcha = ReCaptcha(app)

app.config.update(dict(
    GOOGLE_RECAPTCHA_ENABLED=True,
    GOOGLE_RECAPTCHA_SITE_KEY="6Lf74pUpXXXXXXXXXXXXXXXi012KXXXX7KB-31XXXH",
    GOOGLE_RECAPTCHA_SECRET_KEY="6LXXXXXXXXXXAFX-ZAXXXXXGSd-y5g0o-JZXXXXB"
))
recaptcha.init_app(app)
    
## Flask Template Usage Example (Frontend)
```
Description: Use {{ recaptcha }} Tag inside form tag
```

```
<form method="post" action="/submit">
    ...
    {{ recaptcha }}

    [submit]
</form>
```

## Flask Backend Route Example
```
@route("/submit", methods=["POST"])
def submit():
    if recaptcha.verify():
        print("SUCCESS") 
            
    else:
        print("FAILED")
```

## More Settings
```
GOOGLE_RECAPTCHA_ENABLED = True
GOOGLE_RECAPTCHA_SITE_KEY = ""
GOOGLE_RECAPTCHA_SECRET_KEY = ""
GOOGLE_RECAPTCHA_THEME = "light"
GOOGLE_RECAPTCHA_TYPE = "image"
GOOGLE_RECAPTCHA_SIZE = "normal"
GOOGLE_RECAPTCHA_LANGUAGE = "en"
GOOGLE_RECAPTCHA_RTABINDEX = 10
```

